Contributing
============

When contributing to this repository, please first discuss the change you wish to make via issue before submitting a change.

Pull Request Process
--------------------
1.	Ensure any install or build dependencies are shared with the project maintainer before sending the pull request.
2.	Update the README.md files with details of changes to the interface. When adding changes to the README, make sure they are in the correct section such as pre-deployment and post deployment
3.	Bump the version numbers in VERSION.md and the README.md to the new version that this pull request would represent. 
4.	Project maintainer may merge the Pull Request in once you have the sign-off of one other maintainer.

Our Responsibilities
--------------------
Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Contributing Guide, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.

Scope
-----
This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.
